Skip to content

Get borrowers

Request

Get borrowers filtering with optional parameters.

Security
oauth2(Required scopes: person:list) or bearerAuth or apiKeyHeader
Query
searchableboolean

If true, format the entire response as one suitable for an ElasticSearch search index.

Default:false
statusstring

Status of borrower(s).

Enum:"active""inactive"
limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
sortByArray of strings

The data attributes by which to sort the results.

startingAfterstring

Return results starting after the provided object identifier.

endingBeforestring

Return results ending before the provided object identifier.

borrowerTypestring

Exactly match the type of borrower.

Enum:"business""person"
idsArray of strings

List of IDs.

GET
/people
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people?searchable=false&status=active&limit=25&sortBy=string&startingAfter=string&endingBefore=string&borrowerType=business&ids=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Number of items returned by the current request.

nextUrlstring or nullread-only

URL of the next set of results.

previousUrlstring or nullread-only

URL of the previous set of results.

statusinteger

HTTP status code.

totalintegerread-only

Total number of items in this result.

dataArray of any(Borrower)
Response
{ "count": 0, "nextUrl": "string", "previousUrl": "string", "status": 0, "total": 0, "data": [ { … } ] }